python-parsl (2026.07.06+ds-1) unstable; urgency=medium

  * New upstream version 2026.07.06+ds
  * d/python3-parsl.lintian-overrides: flag lintian warning.
    The warning about the dependency on obsolete libjs-bootstrap4 is a
    problem to act on and already documented in #1088498.

 -- Étienne Mollier <emollier@debian.org>  Tue, 07 Jul 2026 19:21:36 +0200

python-parsl (2026.06.29+ds-1) unstable; urgency=medium

  * New upstream version 2026.06.29+ds
  * d/control: bump to debhelper-compat 14.

 -- Étienne Mollier <emollier@debian.org>  Tue, 30 Jun 2026 10:41:09 +0200

python-parsl (2026.06.01+ds-1) unstable; urgency=medium

  * New upstream version 2026.06.01+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 02 Jun 2026 17:41:04 +0200

python-parsl (2026.05.18+ds-1) unstable; urgency=medium

  * New upstream version 2026.05.18+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 May 2026 16:41:23 +0200

python-parsl (2026.05.04+ds-1) unstable; urgency=medium

  * New upstream version 2026.05.04+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 May 2026 18:57:07 +0200

python-parsl (2026.04.27+ds-1) unstable; urgency=medium

  * New upstream version 2026.04.27+ds

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 Apr 2026 22:42:28 +0200

python-parsl (2026.04.13+ds-1) unstable; urgency=medium

  * New upstream version 2026.04.13+ds
  * d/control: declare compliance to standards version 4.7.4.

 -- Étienne Mollier <emollier@debian.org>  Tue, 14 Apr 2026 19:12:51 +0200

python-parsl (2026.03.16+ds-1) unstable; urgency=medium

  * New upstream version 2026.03.16+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 17 Mar 2026 19:17:36 +0100

python-parsl (2026.02.23+ds-1) unstable; urgency=medium

  * New upstream version 2026.02.23+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 24 Feb 2026 22:27:41 +0100

python-parsl (2026.02.09+ds-1) unstable; urgency=medium

  * New upstream version 2026.02.09+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 10 Feb 2026 20:15:06 +0100

python-parsl (2026.01.26+ds-1) unstable; urgency=medium

  * New upstream version 2026.01.26+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 27 Jan 2026 21:19:31 +0100

python-parsl (2026.01.19+ds-1) unstable; urgency=medium

  * New upstream version 2026.01.19+ds
  * pytest-9.patch: fix typo caught by lintian in the Description.
  * pytest-9.patch: forwarded upstream.

 -- Étienne Mollier <emollier@debian.org>  Tue, 20 Jan 2026 19:28:48 +0100

python-parsl (2026.01.05+ds-1) unstable; urgency=medium

  * New upstream version 2026.01.05+ds
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Tue, 06 Jan 2026 20:18:43 +0100

python-parsl (2025.12.15+ds-1) unstable; urgency=medium

  * New upstream version 2025.12.15+ds
  * pytest-9.patch: new: fix conftest failure. (Closes: #1123284)

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Dec 2025 21:26:50 +0100

python-parsl (2025.12.08+ds-1) unstable; urgency=medium

  * New upstream version 2025.12.08+ds

 -- Étienne Mollier <emollier@debian.org>  Thu, 11 Dec 2025 01:19:32 +0100

python-parsl (2025.12.01+ds-1) unstable; urgency=medium

  * New upstream version 2025.12.01+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 02 Dec 2025 21:37:59 +0100

python-parsl (2025.11.17+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.17+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Nov 2025 21:20:07 +0100

python-parsl (2025.11.10+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.10+ds

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Nov 2025 15:25:42 +0100

python-parsl (2025.11.03+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.03+ds
  * d/watch: restore the repack suffix +ds and debian version mangling.

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Nov 2025 20:03:11 +0100

python-parsl (2025.10.27-1) unstable; urgency=medium

  * New upstream version 2025.10.27
  * sphinx-autodoc-preserve-argdefaults.patch: delete.
    This patch is applied upstream.
  * autopkg-skip-custom-exception.patch: new patch.
    This skips test_custom_exception when running in autopkgtest context.
    The test is preserved at build time.
  * d/control: tests depend on python3-sortedcontainers.
  * offline-documentation.patch: trim new linked images.

 -- Étienne Mollier <emollier@debian.org>  Tue, 28 Oct 2025 19:59:55 +0100

python-parsl (2025.01.13+ds-2) unstable; urgency=medium

  * d/control: review nodoc and nocheck profiles. (Closes: #1116867)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: bump to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Tue, 30 Sep 2025 23:05:39 +0200

python-parsl (2025.01.13+ds-1) unstable; urgency=medium

  * New upstream version 2025.01.13+ds
  * offline-documentation.patch: adjust to new file layout.
  * d/*.examples: adjust to new file layout.

 -- Étienne Mollier <emollier@debian.org>  Tue, 14 Jan 2025 22:00:49 +0100

python-parsl (2024.12.16+ds-1) unstable; urgency=medium

  * New upstream version 2024.12.16+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 17 Dec 2024 19:06:02 +0100

python-parsl (2024.12.02+ds-1) unstable; urgency=medium

  * New upstream version 2024.12.02+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 06 Dec 2024 20:21:27 +0100

python-parsl (2024.11.25+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.25+ds
  * d/control: bump dependency to libjs-bootstrap4.
    The unversioned libjs-bootstrap corresponds to version 3, but html
    files look to expect version 4.1.3, so libjs-bootstrap4 is probably
    better suited.  Note this does not resolve a possible removal in favor
    of libjs-bootstrap 5.
  * privacy-breaches.patch: update file paths to point to bootstrap4.

 -- Étienne Mollier <emollier@debian.org>  Tue, 26 Nov 2024 20:33:28 +0100

python-parsl (2024.11.18+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.18+ds
  * d/salsa-ci.yml: introduce dedicated CI file.

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Nov 2024 21:26:02 +0100

python-parsl (2024.11.11+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.11+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 12 Nov 2024 20:08:08 +0100

python-parsl (2024.11.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.04+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Wed, 06 Nov 2024 19:45:14 +0100

python-parsl (2024.10.28+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.28+ds
  * offline-documentation.patch: unfuzz.
  * d/control: remove build dependency on flake8.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Nov 2024 18:07:41 +0100

python-parsl (2024.10.14+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.14+ds
  * d/rules: cleanup new test artifacts.
    This change also moves to pybuild some cleanup commands that were part
    of regular d/rules targets initially.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Oct 2024 16:32:23 +0200

python-parsl (2024.10.07+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.07+ds
  * d/s/lintian-overrides: delete: false positive fixed in lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Oct 2024 22:52:37 +0200

python-parsl (2024.09.16+ds-1) unstable; urgency=medium

  * New upstream version 2024.09.16+ds
  * d/control: remove python3-ipyparallel from test dependencies.
    The module is not needed anymore, and dropped off Debian sid.
    (Closes: #1082524)

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 17:18:41 +0200

python-parsl (2024.09.02+ds-1) unstable; urgency=medium

  * New upstream version 2024.09.02+ds
  * offline-documentation.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 Sep 2024 22:01:33 +0200

python-parsl (2024.08.26+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.26+ds

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Aug 2024 11:30:09 +0200

python-parsl (2024.08.19+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.19+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Aug 2024 18:23:29 +0200

python-parsl (2024.08.05+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.05+ds

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 20:05:29 +0200

python-parsl (2024.07.22+ds-1) unstable; urgency=medium

  * New upstream version 2024.07.22+ds
  * Unfuzz patches.
  * shebang.patch: refresh.
  * d/install renamed d/python3-parsl.install.
  * d/lintian-overrides renamed d/python3-parsl.lintian-overrides.
  * d/examples renamed d/python3-parsl.examples.
  * d/manpages renamed d/python3-parsl.manpages.
  * d/rules: do not ship .py scripts in /usr/bin anymore.
    They are still available within the module if need be.
  * d/*lintian-overrides: remove override about file extension.
  * d/parsl_coprocess.py.1: manual deleted.
  * d/rules: trim a cleanup command.
  * d/s/lintian-overrides: flag false positive detection of "uu" module.
  * d/parsl-globus-auth.1: remove references to removed commands.

 -- Étienne Mollier <emollier@debian.org>  Sun, 28 Jul 2024 20:43:25 +0200

python-parsl (2024.05.27+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.27+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 31 May 2024 22:23:03 +0200

python-parsl (2024.05.20+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.20+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 15:49:52 +0200

python-parsl (2024.05.06+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.06+ds

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 May 2024 22:44:19 +0200

python-parsl (2024.04.22+ds-1) unstable; urgency=medium

  * New upstream version 2024.04.22+ds

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 10:44:33 +0200

python-parsl (2024.04.15+ds-1) unstable; urgency=medium

  * New upstream version 2024.04.15+ds
  * d/control: declare compliance to standards version 4.7.0.
  * offline-documentation.patch: unfuzz.
  * d/control: doc build-depends on python3-filelock.

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Apr 2024 19:36:59 +0200

python-parsl (2024.03.11+ds-1) unstable; urgency=medium

  * New upstream version 2024.03.11+ds
  * offline-documentation.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 16:25:26 +0100

python-parsl (2024.03.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.03.04+ds
  * shebang.patch: forwarded upstream.
  * sphinx-autodoc-preserve-argdefaults.patch:
    Added further DEP-3 fields, including a forward upstream.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 19:36:45 +0100

python-parsl (2024.02.26+ds-1) unstable; urgency=medium

  * New upstream version 2024.02.26+ds
  * offline-documentation.patch: refresh.
  * use-standard-mock.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 11:43:21 +0100

python-parsl (2024.02.19+ds-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove ref to old python3-mock

  [ Étienne Mollier ]
  * New upstream version 2024.02.19+ds
  * offline-documentation.patch: unfuzz.
  * use-standard-mock.patch: new.
    Thanks to Alexandre Detiste

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Feb 2024 16:35:16 +0100

python-parsl (2024.02.12+ds-1) unstable; urgency=medium

  * New upstream version 2024.02.12+ds

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 13:07:36 +0100

python-parsl (2024.02.05+ds-1) unstable; urgency=medium

  [ James Addison ]
  * sphinx-autodoc-preserve-argdefaults.patch:
    improve Sphinx documentation reproducibility by preserving argument
    defaults (Closes: #1063542)

  [ Étienne Mollier ]
  * d/rules: remove now unneeded sanitizing.
    Thanks to James Addison
  * New upstream version 2024.02.05+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 09 Feb 2024 22:33:29 +0100

python-parsl (2023.11.13+ds-1) unstable; urgency=medium

  * Source upload to migrate new package to unstable.
  * d/clean: new: fix double source build failure.

 -- Étienne Mollier <emollier@debian.org>  Mon, 22 Jan 2024 20:20:39 +0100

python-parsl (2023.11.13+ds-0+exp1) experimental; urgency=medium

  * Initial release. (Closes: #1050081)

 -- Étienne Mollier <emollier@debian.org>  Wed, 17 Jan 2024 21:27:33 +0100
